org.springframework.data.repository.core.support

## Class AbstractEntityInformation<T,ID>

- java.lang.Object
- - org.springframework.data.repository.core.support.AbstractEntityInformation<T,ID>

All Implemented Interfaces:
  EntityInformation<T,ID>, EntityMetadata<T>

    public abstract class AbstractEntityInformation<T,ID>
    extends Object
    implements EntityInformation<T,ID>

Base class for implementations of `EntityInformation`. Considers an entity to be new whenever `EntityInformation.getId(Object)` returns null.

Author:
  Oliver Gierke, Nick Williams, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`AbstractEntityInformation(Class<T> domainClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<T>` `getJavaType()` Returns the actual domain class type.
`boolean` `isNew(T entity)` Returns whether the given entity is considered to be new.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.repository.core.EntityInformation

`getId, getIdType, getRequiredId`

### Constructor Detail

#### AbstractEntityInformation

    public AbstractEntityInformation(Class<T> domainClass)

### Method Detail

#### isNew

    public boolean isNew(T entity)

Description copied from interface: `EntityInformation`
Returns whether the given entity is considered to be new.

Specified by:
  `isNew` in interface `EntityInformation<T,ID>`
Parameters:
  `entity` - must never be null
Returns:

#### getJavaType

    public Class<T> getJavaType()

Description copied from interface: `EntityMetadata`
Returns the actual domain class type.

Specified by:
  `getJavaType` in interface `EntityMetadata<T>`
Returns: